Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QDOMEleImpl

    java.lang.Object
      |
      +--com.jxml.quick.QDOMEleImpl

All Implemented Interfaces:
  QBiModal, QDOMEle, QName

public class QDOMEleImpl
extends Object
implements QDOMEle

Field Summary
`ArrayList` | `attributes`
`ArrayList` | `elements`
`String` | `name`
`String` | `text`

Constructor Summary
`QDOMEleImpl()`

Method Summary
`List` | `getQAttributes()`
`List` | `getQElements()`
`String` | `getQName()` Returns the tag name.
`String` | `getQText()`
`void` | `setQName(String name)` Sets the tag name.
`void` | `setQText(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### text

    public String text

### elements

    public ArrayList elements

### attributes

    public ArrayList attributes

Constructor Detail

### QDOMEleImpl

    public QDOMEleImpl()

Method Detail

### getQName

    public String getQName()

  Description copied from interface: `QName`
  Returns the tag name.
  Specified by:
    `getQName` in interface `QName`

### setQName

    public void setQName(String name)

  Description copied from interface: `QName`
  Sets the tag name.
  Specified by:
    `setQName` in interface `QName`

### getQText

    public String getQText()

  Specified by:
    `getQText` in interface `QBiModal`

### setQText

    public void setQText(String text)

  Specified by:
    `setQText` in interface `QBiModal`

### getQElements

    public List getQElements()

  Specified by:
    `getQElements` in interface `QDOMEle`

### getQAttributes

    public List getQAttributes()

  Specified by:
    `getQAttributes` in interface `QDOMEle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD